Subject: Re: bug#45925: 27.1; *Summary* buffer vs. raw utf-8 headers

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 17:31:58 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> LI> I don't have procmail installed, so I'm not sure what these do -- are
> LI> you sending a mail (to yourself?) here?  Do you have a recipe to
> LI> reproduce this problem without the use of procmail?
>
> $ echo Subject: 一二三 > ~/Maildir/new/Z
> $ file ~/Maildir/new/Z
> ~/Maildir/new/Z: UTF-8 Unicode text

I thought this was about nnml?  Is ~/Maildir/new/Z your nnml directory?

> LI> Is this still with nnml?  If so, could you find the resulting lines in
> LI> the .overview files in the nnml directory and post them here?  (Perhaps
> LI> after gzipping them to avoid Emacs helpfully re-encoding the lines.)
>
> Yes, nnml.
>
> The headers get appended raw to .overview.
>
> Thus .overview contains a mix of ASCII, big5, and UTF-8, all in the same file.
>
> $ echo Subject: 一二三|iconv -t big5 > ~/Maildir/new/B5
> $ echo Subject: 一二三 > ~/Maildir/new/UT
> $ emacs -f gnus
> $ tail -n 2 Mail/mail/misc/.overview|qprint -e
> 37397 =A4@=A4G=A4T (nobody) <87a6t4gnpx.5.fsf@totally-fudged-out-mess=
> age-id>         0       0       Xref: jidanni5 mail.misc:37397=09
> 37398 =E4=B8=80=E4=BA=8C=E4=B8=89 (nobody) <878s8ognpx.5.fsf@totally-=
> fudged-out-message-id> 0 0 Xref: jidanni5 mail.misc:37398=09

There was just ASCII in the part you posted.  Could you gzip it, as I
asked you to?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no